import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import ru.ifmo.testlib.Outcome.Type;

public class Check implements Checker {
	public Outcome test(InStream inf, InStream ouf, InStream ans) {
		int T = inf.nextInt();
		for (int t = 1; t <= T; t++) {
			int jury = ans.nextInt(), part = ouf.nextInt();
			if (jury != part) {
				return new Outcome(Type.WA, "Expected " + jury + ", found "
						+ part + " on test " + t);
			}
		}
		return new Outcome(Type.OK, T + " tests");
	}
}
